Subject: Re: [VCARDDAV] Draft 06: quoted-string, VALUE, img-inline-param

From: Simon Perreault <[email-masked]>
Date: Tue, 28 Apr 2009 09:51:36 -0400

Markus Lorenz wrote, on 11/03/09 05:29 PM:
> I think the cardinality "*" is missing in the definition of quoted-string:
>     quoted-string = DQUOTE QSAFE-CHAR DQUOTE
> Should be:
>     quoted-string = DQUOTE *QSAFE-CHAR DQUOTE
> Otherwise there would only one QSAFE-CHAR character be allowed between
> the quotes.

Right, good catch.

> The line "img-inline-param" is there twice, one without any formal
> assignment.

Removed.

> I'm a little bit confused with the "VALUE"-parameter. There are a lot of
> VALUE-parameters in examples where I can't find them in the formal
> grammar. Like
>     BDAY;VALUE=text:circa 1800
> in 7.2.5 BDAY.
> According to formal grammar BDAY only allows "date" and "date-time".
> In 7.5.1 TZ there is the example
>     TZ;VALUE=text:-05:00; EST; Raleigh/North America
> although TZ does not allow any parameters.
> 
> Section 6 defines "general property parameters" which are
> "encodingparam", "valuetypeparam", "languageparam", "pref-param" and
> "pid-param". Does this mean that they are allowed without restriction in
> each property? If so, why are the pref-param and pid-param explicitly
> mentioned in most proberty definitions and why not value-, encoding-,
> type-, and language-param?
> 
> Section 6 also defines the allowed "valuetype"-values as "uri", "text",
> "date", ... But it does not define "ptext" as used in the definition of
>     text-param   = ("VALUE" "=" "ptext")
> in formal grammar.

The grammar is being cleaned/rewritten all over as we speak. ;)

Simon
-- 
STUN/TURN server    --> http://numb.viagenie.ca
Interplanetary news --> http://reeves.viagenie.ca
vCard 4.0           --> http://www.vcarddav.org